%global momorel 2
%global srcname Image-ExifTool

Summary:	Utility for reading and writing image meta info
Name:		perl-Image-ExifTool
Version:	8.25
Release:	%{momorel}m%{?dist}
License:	GPL+ or Artistic
Group:		Applications/Multimedia
URL:		http://www.sno.phy.queensu.ca/~phil/exiftool/
Source0:	http://www.sno.phy.queensu.ca/~phil/exiftool/%{srcname}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl
BuildRequires:	perl-ExtUtils-MakeMaker
BuildArch:	noarch

%description
ExifTool is a Perl module with an included command-line application for 
reading and writing meta information in image, audio, and video files. 
It reads EXIF, GPS, IPTC, XMP, JFIF, MakerNotes, GeoTIFF, ICC Profile, 
Photoshop IRB, FlashPix, AFCP, and ID3 meta information from JPG, JP2, 
TIFF, GIF, PNG, MNG, JNG, MIFF, EPS, PS, AI, PDF, PSD, BMP, THM, CRW, 
CR2, MRW, NEF, PEF, ORF, DNG, and many other types of images. ExifTool 
also extracts information from the maker notes of many digital cameras 
by various manufacturers including Canon, Casio, FujiFilm, HP, 
JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta, Nikon, Olympus/Epson, 
Panasonic/Leica, Pentax/Asahi, Ricoh, Sanyo, Sigma/Foveon, and Sony.

%prep
%setup -q -n %{srcname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
chmod -R u+w %{buildroot}/*

# get rid of empty directories
rm -rf %{buildroot}%{perl_vendorlib}/*-linux-thread-multi

%check
make test

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/exiftool
%{perl_vendorlib}/File/RandomAccess.*
%{perl_vendorlib}/Image/ExifTool*
%{_mandir}/man1/exiftool.1*
%{_mandir}/man3/File::RandomAccess.3pm*
%{_mandir}/man3/Image::ExifTool*.3pm*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (8.25-2m)
- full rebuild for mo7 release

* Wed Jul 14 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (8.25-1m)
- update to 8.25

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (8.15-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (8.15-2m)
- rebuild against perl-5.12.0

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (8.15-1m)
- update to 8.15

* Thu Feb 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (8.10-1m)
- update to 8.10

* Sun Dec  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.01-1m)
- initial package for hugin-2009.2.0
